import 'package:flutter/material.dart';
import 'package:http/http.dart' as http;
import 'dart:convert';

class TRequests {
  Map error_answer={"error":true,"errortxt":""};
  void request(String command,String params,Function onOk,Function onError,[bool debug=false]){
    if (debug==true) {
      print("Запрос к API:,command: $command");
    };
    http.post(Uri.parse("https://xn--90acbu5aj5f.xn--p1ai/tetris.php"),body: {
      "reqwest": command,
      "params": params
    }).then((response) {
      print(response);
      //print("Response status: ${response.statusCode}");
      print("Response body: ${response.body}");
      if (response.statusCode==200) {
        Map<String, dynamic> answer = jsonDecode(response.body);
        if (answer["error"] == true) {
          onError(answer["errortext"]);
        } else {
            if (debug==true) {
              print(answer["result"]);
            };
            onOk(answer["result"]);

        }
      }
    }).catchError((error){
      print("Ошибка! $error");
      onError("Ошибка: $error");
    });
  }

}